Bug 1419061

Summary: FTBFS: Ruby 2.4 compatibility
Product: [Fedora] Fedora Reporter: Jun Aruga <jaruga>
Component: rubygem-rspec-supportAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: mtasaka
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rubygem-rspec-support-3.5.0-2.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-04 14:50:35 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1425220    
Bug Blocks:    
Attachments:
Description Flags
Patch to fix for Ruby 2.4.0 compatibility none

Description Jun Aruga 2017-02-03 15:07:25 UTC
Description of problem:
The build was failed.
Let me fix it!

Version-Release number of selected component (if applicable):
rubygem-rspec-support-3.5.0-1

Additional info:
Maybe this one.
https://github.com/rspec/rspec-support/pull/305/commits/725fc24

Comment 1 Jun Aruga 2017-02-03 16:04:39 UTC
Created attachment 1247501 [details]
Patch to fix for Ruby 2.4.0 compatibility

Hi,

I uploaded the patch to fix for Ruby 2.4.0 compatibility.

I checked below things.

- License check: ok
- rpmlint check: ok
    Removed "Provides" line for rpmlint error. The line has not been needed any more.

```
$ rpmlint -i ./*.spec /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
...
rubygem-rspec-support.noarch: E: useless-provides rubygem(rspec-support)
This package provides 2 times the same capacity. It should only provide it
once.
...
3 packages and 1 specfiles checked; 1 errors, 2 warnings.
```

- Install check: ok

I would like the patch will be merged.

Comment 2 Mamoru TASAKA 2017-02-06 07:01:47 UTC
git am'ed.
Thank you.

Comment 4 Jun Aruga 2017-02-06 11:57:03 UTC
Thank you for the applying my patch!

Comment 5 Fedora End Of Life 2017-02-28 11:10:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Fedora End Of Life 2018-05-03 08:05:07 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Jun Aruga 2018-05-04 14:50:35 UTC
I think we can close this ticket because there is no FTBFS in each Feodra.
https://apps.fedoraproject.org/koschei/package/rubygem-rspec-support